Subject: Superfluous brackets in sysext sysexts "saltedpasswords”, "scheduler”, "setup” and "statictemplates" after

namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"|[$table]['ctrl']['sortby") {

Associated revisions

Revision 3882ce1a - 2012-09-17 22:41 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "saltedpasswords”,
"scheduler", "setup" and "statictemplates".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: le1e7d052f5d8dfac95d01a70ed750e69cf4bb76
Resolves: #40970

Related: #40095

Reviewed-on: http:/review.typo3.org/14629

Reviewed-by: Thomas Loeffler
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 22:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14629

#2 - 2012-09-17 23:30 - Arvid Jakobsson
http://review.typo3.org/14629
http://review.typo3.org/14629

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:3882ce1a4e124474397393b202ch2f889f71cdc9.
